sslGenerateCsr
Generates a CSR + private key (key returned once, never stored)
sslGenerateCsr(
input: SSLGenerateCsrInput!
): SSLGenerateCsrPayload
Arguments
sslGenerateCsr.input ● SSLGenerateCsrInput! non-null input
Parameters for SSLGenerateCsr
Type
SSLGenerateCsrPayload object
Autogenerated return type of SSLGenerateCsr.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateSslGenerateCsr($input: SSLGenerateCsrInput!) {\n sslGenerateCsr(input: $input) { clientMutationId errors generated { csr privateKey } }\n}","variables":{"input":{"companyId":"<company_id>","commonName":"example"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateSslGenerateCsr($input: SSLGenerateCsrInput!) {\n sslGenerateCsr(input: $input) { clientMutationId errors generated { csr privateKey } }\n}",
variables: {
"input": {
"companyId": "<company_id>",
"commonName": "example"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateSslGenerateCsr($input: SSLGenerateCsrInput!) {\n sslGenerateCsr(input: $input) { clientMutationId errors generated { csr privateKey } }\n}",
'variables': json.loads("{\"input\":{\"companyId\":\"<company_id>\",\"commonName\":\"example\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute